Bug 856011 - RFE: Enable admin role assignment configuration.
RFE: Enable admin role assignment configuration.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Authentication-Fedora, Authentication-Internal, Authentication-Kerberos, Authentication-JAAS (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 20:01 EDT by Carlos Munoz
Modified: 2012-11-07 01:17 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120913-0936)
Doc Type: Enhancement
Doc Text:
Feature: Admin users can be bootstrapped from the zanata.properties file now. Reason: This enhancement solves the problem of initially awarding the admin role to users when there are no users in the system. Result (if any): All users configured to be in the admin role will be checked at server start time for the role, or when they are registered.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:02:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-09-10 20:01:38 EDT
Admin users should be bootstrapped from a configuration file instead of created automatically.
Comment 1 Carlos Munoz 2012-09-10 20:07:09 EDT
Enable admin user bootstrapping from the zanata.properties file. Users will be checked on server startup for the admin role, as well as when they are being created.


see:
https://github.com/zanata/zanata/commit/a6f2a646c94d8eb967dce7aa01bd2102f5c0339d
Comment 2 Ding-Yi Chen 2012-09-12 22:34:59 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120913-0936)
Comment 3 Sean Flanigan 2012-11-07 01:17:32 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.